public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/chmlib/
Date: Mon, 29 Jun 2020 06:29:17 +0000 (UTC)	[thread overview]
Message-ID: <1593412150.21044ff0e95adb9c2b5e7eb18711c058f2905003.polynomial-c@gentoo> (raw)

commit:     21044ff0e95adb9c2b5e7eb18711c058f2905003
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 29 06:28:07 2020 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jun 29 06:29:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21044ff0

dev-libs/chmlib: switched to EAPI-7

Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 dev-libs/chmlib/chmlib-0.40-r1.ebuild | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

diff --git a/dev-libs/chmlib/chmlib-0.40-r1.ebuild b/dev-libs/chmlib/chmlib-0.40-r1.ebuild
index 7b60e53d0f7..957e5d88bca 100644
--- a/dev-libs/chmlib/chmlib-0.40-r1.ebuild
+++ b/dev-libs/chmlib/chmlib-0.40-r1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
 inherit autotools out-of-source
 
@@ -21,16 +21,19 @@ PATCHES=(
 
 src_prepare() {
 	default
+	# Required for CONFIG_SHELL != bash (bug #668408)
 	eautoreconf
 }
 
 my_src_configure() {
-	econf \
-		$(use_enable examples) \
+	local myeconfargs=(
+		$(use_enable examples)
 		$(use_enable static-libs static)
+	)
+	econf "${myeconfargs[@]}"
 }
 
 my_src_install_all() {
 	einstalldocs
-	find "${D}" -name '*.la' -delete || die
+	find "${ED}" -type f -name '*.la' -delete || die
 }


             reply	other threads:[~2020-06-29  6:29 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-29  6:29 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-06-25 12:10 [gentoo-commits] repo/gentoo:master commit in: dev-libs/chmlib/ Marek Szuba
2021-03-22 12:26 Marek Szuba
2020-06-29  6:29 Lars Wendler
2019-02-24 21:37 Andreas Sturmlechner
2018-03-10 12:23 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1593412150.21044ff0e95adb9c2b5e7eb18711c058f2905003.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox